Bug 1814426 - Publishing a new version of Content view is slow and taking huge time in Satellite 6.6.
Summary: Publishing a new version of Content view is slow and taking huge time in Sate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.6.0
Hardware: All
OS: Linux
unspecified
unspecified vote
Target Milestone: 6.6.3
Assignee: Partha Aji
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 20:26 UTC by Mike McCune
Modified: 2021-08-30 13:16 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.40-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773601
Environment:
Last Closed: 2020-04-16 19:45:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
cv publish duration (42.56 KB, image/png)
2020-04-09 14:39 UTC, Lai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28677 0 Normal Closed Publishing a new version of Content view is slow and taking huge time 2021-02-09 13:58:05 UTC
Red Hat Knowledge Base (Solution) 5196171 0 None None None 2020-07-01 19:16:18 UTC
Red Hat Product Errata RHBA-2020:1494 0 None None None 2020-04-16 19:45:25 UTC

Comment 5 Lai 2020-04-09 14:39:28 UTC
Step to retest:

1. Create a Content View in Satellite 6.6.
2. Add the repositories in the Content view. 
3. Publish a new version of the Content view. 
4. Go to task to check the time it takes to publish

Expected:
Time it takes should be between a few seconds to ~15 minutes.

Actual:
Time it takes is between a few second to ~15 minutes.

Notes:  I've tested this with a few thousand, 10k, 20k, and 50k packages and all have fallen in the range of a few seconds to ~15 minutes of publishing.

Comment 6 Lai 2020-04-09 14:39:53 UTC
Created attachment 1677567 [details]
cv publish duration

Comment 8 errata-xmlrpc 2020-04-16 19:45:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1494


Note You need to log in before you can comment on or make changes to this bug.